Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class CommonNamespaces

    java.lang.Object
      org.deegree.ogcbase.CommonNamespaces

    public class CommonNamespaces

extends Object

Definitions for OGC related namespace bindings.

NOTE: Don't put project specific bindings here -- subclass it and override `getNamespaceContext()` instead.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, Markus Schneider, Torsten Friebe, last edited by: $Author: mschneider $

Field Summary
`static URI` | `APISO` The APISO namespace is currently bound to: "http://www.opengis.net/cat/csw/apiso/1.0"
`static String` | `APISO_PREFIX` The APISO_PREFIX is currrently assigned to: "apiso"
`static String` | `CITYGML_PREFIX` The CITYGML prefix is currently assigned to: "citygml".
`static URI` | `CITYGMLNS` The CITYGMLNS namespace is currently bound to: "http://www.citygml.org/citygml/1/0/0".
`static String` | `CNTXT_PREFIX` The CNTXT prefix is currently assigned to: "cntxt"
`static URI` | `CNTXTNS` The CNTXTNS namespace is currently bound to: "http://www.opengis.net/context"
`static String` | `CRS_PREFIX` The CRS_PREFIX is currrently assigned to: "crs"
`static URI` | `CRSNS` The CRSNS namespace --used for the crs package-- is currently bound to: "http://www.deegree.org/crs"
`static String` | `CSW_PREFIX` The CSW prefix is currently assigned to: "csw"
`static String` | `CSW202_PREFIX` The CSW 2.0.2 prefix is currently assigned to: "csw202"
`static URI` | `CSW202NS` The CSWNS 2.0.2 namespace is currently bound to: "http://www.opengis.net/cat/csw/2.0.2"
`static URI` | `CSWNS` The CSWNS namespace is currently bound to: "http://www.opengis.net/cat/csw"
`static String` | `CTL_PREFIX` The CTL prefix is currently assigned to: "ctl"
`static URI` | `CTLNS` THE CTL namespace is currently bound to: "http://www.occamlab.com/ctl".
`static String` | `DC_PREFIX` The DC prefix is currently assigned to: "dc"
`static URI` | `DCNS` The DCNS namespace is currently bound to: "http://purl.org/dc/elements/1.1/"
`static URI` | `DEEGREECSW` The DEEGREECSW namespace is currently bound to: "http://www.deegree.org/csw"
`static String` | `DEEGREECSW_PREFIX` The DEEGREECSW prefix is currently assigned to: "deegreecsw"
`static URI` | `DEEGREEOGC` The DEEGREEOGC namespace is currently bound to: "http://www.deegree.org/ogc"
`static String` | `DEEGREEOGC_PREFIX` The DEEGREEOGC prefix is currently assigned to: "deegreeogc"
`static URI` | `DEEGREESOS` The DEEGREESOS namespace is currently bound to: "http://www.deegree.org/sos"
`static String` | `DEEGREESOS_PREFIX` The DEEGREESOS prefix is currently assigned to: "deegreesos"
`static URI` | `DEEGREEWAS` The DEEGREEWAS namespace is currently bound to: "http://www.deegree.org/was"
`static String` | `DEEGREEWAS_PREFIX` The DEEGREEWAS prefix is currently assigned to: "deegreewas"
`static URI` | `DEEGREEWCS` The DEEGREEWCS namespace is currently bound to: "http://www.deegree.org/wcs"
`static String` | `DEEGREEWCS_PREFIX` The DEEGREEWCS prefix is currently assigned to: "deegreewcs"
`static URI` | `DEEGREEWCTS` The DEEGREEWCTS namespace is currently bound to: "http://www.deegree.org/wcts"
`static String` | `DEEGREEWCTS_PREFIX` The DEEGREEWCTS_PREFIX prefix is currently assigned to: "d_wcts"
`static URI` | `DEEGREEWFS` The DEEGREEWFS namespace is currently bound to: "http://www.deegree.org/wfs"
`static String` | `DEEGREEWFS_PREFIX` The DEEGREEWFS prefix is currently assigned to: "deegreewfs"
`static URI` | `DEEGREEWMPS` The DEEGREEWMPS namespace is currently bound to: "http://www.deegree.org/wmps"
`static String` | `DEEGREEWMPS_PREFIX` The DEEGREEWMPS prefix is currently assigned to: "deegreewmps"
`static URI` | `DEEGREEWMS` The DEEGREEWMS namespace is currently bound to: "http://www.deegree.org/wms"
`static String` | `DEEGREEWMS_PREFIX` The DEEGREEWMS prefix is currently assigned to: "deegreewms"
`static URI` | `DEEGREEWPS` The DEEGREEWPS namespace is currently bound to: "http://www.deegree.org/wps"
`static String` | `DEEGREEWPS_PREFIX` The DEEGREEWPS prefix is currently assigned to: "deegreewps"
`static URI` | `DEEGREEWPVS` The DEEGREEWPVS namespace is currently bound to: "http://www.deegree.org/wpvs"
`static String` | `DEEGREEWPVS_PREFIX` The DEEGREEWPVS prefix is currently assigned to: "deegreewpvs"
`static URI` | `DEEGREEWSS` The DEEGREEWSS namespace is currently bound to: "http://www.deegree.org/wss"
`static String` | `DEEGREEWSS_PREFIX` The DEEGREEWSS prefix is currently assigned to: "deegreewss"
`static String` | `DGCNTXT_PREFIX` The DGCNTXT prefix is currently assigned to: "dgcntxt"
`static URI` | `DGCNTXTNS` The DGCNTXTNS namespace is currently bound to: "http://www.deegree.org/context"
`static URI` | `DGJDBC` The DGJDBC namespace is currently bound to: "http://www.deegree.org/jdbc"
`static String` | `DGJDBC_PREFIX` The DGJDBC prefix is currently assigned to: "dgjdbc"
`static String` | `DGSEC_PREFIX` The DGSEC prefix is currently assigned to: "dgsec"
`static URI` | `DGSECNS` The DGSECNS namespace is currently bound to: "http://www.deegree.org/security"
`static URI` | `GDINRW_AUTH` The GDINRW_AUTH namespace is currently bound to: "http://www.gdi-nrw.org/authentication"
`static String` | `GDINRW_AUTH_PREFIX` The GDINRW_AUTH prefix is currently assigned to: "authn"
`static URI` | `GDINRW_SESSION` The GDINRW_SESSION namespace is currently bound to: "http://www.gdi-nrw.org/session"
`static String` | `GDINRW_SESSION_PREFIX` The GDINRW_SESSION prefix is currently assigned to: "sessn"
`static URI` | `GDINRW_WAS` The GDINRW_WAS namespace is currently bound to: "http://www.gdi-nrw.org/was"
`static URI` | `GDINRW_WSS` The GDINRW_WSS namespace is currently bound to: "http://www.gdi-nrw.org/wss"
`static String` | `GDINRWWAS_PREFIX` The GDINRWWAS prefix is currently assigned to: "was"
`static String` | `GDINRWWSS_PREFIX` The GDINRWWSS prefix is currently assigned to: "wss"
`static String` | `GML_PREFIX` The GML prefix is currently assigned to: "gml"
`static URI` | `GML3_2_NS` The GML3_2_NS namespace is currently bound to: "http://www.opengis.net/gml/3.2"
`static String` | `GML3_2_PREFIX` The GML3_2 prefix is currently assigned to: "gml3_2"
`static URI` | `GMLNS` The GMLNS namespace is currently bound to: "http://www.opengis.net/gml"
`static String` | `ISO19112_PREFIX` The ISO19112 prefix is currently assigned to: "iso19112"
`static URI` | `ISO19112NS` The ISO19112NS namespace is currently bound to: "http://www.opengis.net/iso19112"
`static String` | `ISO19115_PREFIX` The ISO19115 prefix is currently assigned to: "iso19115"
`static String` | `ISO19115BRIEF_PREFIX` The ISO19115BRIEF prefix is currently assigned to: "iso19115brief"
`static URI` | `ISO19115BRIEFNS` The ISO19115BRIEFNS namespace is currently bound to: "http://schemas.opengis.net/iso19115brief"
`static URI` | `ISO19115NS` The ISO19115NS namespace is currently bound to: "http://schemas.opengis.net/iso19115full"
`static String` | `ISO19119_PREFIX` The ISO19119 prefix is currently assigned to: "iso19119"
`static URI` | `ISO19119NS` The ISO19119NS namespace is currently bound to: "http://schemas.opengis.net/iso19119"
`static String` | `ISOAP10GCO_PREFIX` The ISOAP10GCO_PREFIX is currrently assigned to: "gco"
`static URI` | `ISOAP10GCONS` The ISOAP10GCONS namespace is currently bound to: "http://www.isotc211.org/2005/gco"
`static String` | `ISOAP10GMD_PREFIX` The ISOAP10GMD_PREFIX is currrently assigned to: "gmd"
`static URI` | `ISOAP10GMDNS` The ISOAP10GMDNS namespace is currently bound to: "http://www.isotc211.org/2005/gmd"
`static String` | `ISOAP10SRV_PREFIX` The ISOAP10SRV_PREFIX is currrently assigned to: "srv"
`static URI` | `ISOAP10SRVNS` The ISOAP10SRVNS namespace is currently bound to: "http://www.isotc211.org/2005/srv"
`static String` | `OASIS_EBRIM_PREFIX` The OASIS_EBRIM prefix is currently assigned to: "rim"
`static URI` | `OASIS_EBRIMNS` The OASIS namespace is currently bound to: "urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0"
`static String` | `OGC_PREFIX` The OGC prefix is currently assigned to: "ogc"
`static URI` | `OGCNS` The OGCNS namespace is currently bound to: "http://www.opengis.net/ogc"
`static URI` | `OMNS` The OMNS namespace is currently bound to: "http://www.opengis.net/om"
`static String` | `OMNS_PREFIX` The OMNS prefix is currently assigned to: "om"
`static String` | `OWS_1_1_0PREFIX` The OWS_1_1_0PREFIX is currrently assigned to: "ows_1_1_0"
`static String` | `OWS_PREFIX` The OWS prefix is currently assigned to: "ows"
`static URI` | `OWSNS` The OWSNS namespace is currently bound to: "http://www.opengis.net/ows"
`static URI` | `OWSNS_1_1_0` The OWSNS_1_1_0 namespace is currently bound to: "http://www.opengis.net/ows/1.1"
`static String` | `PARSERS_PREFIX` The CTL prefix is currently assigned to: "parsers"
`static URI` | `PARSERSNS` The PARSERS namespace is currently bound to: "http://www.occamlab.com/te/parsers".
`static String` | `SE_PREFIX` The SE prefix is currently assigned to: "se".
`static URI` | `SENS` The SENS namespace is currently bound to: "http://www.opengis.net/se"
`static String` | `SLD_PREFIX` The SLD prefix is currently assigned to: "sld"
`static URI` | `SLDNS` The SLDNS namespace is currently bound to: "http://www.opengis.net/sld"
`static String` | `SML_PREFIX` The SML prefix is currently assigned to: "sml"
`static URI` | `SMLNS` The SMLNS namespace is currently bound to: "http://www.opengis.net/sensorML"
`static String` | `SMXML_PREFIX` The SMXML prefix is currently assigned to: "smXML"
`static URI` | `SMXMLNS` The SMXMLNS namespace is currently bound to: "http://metadata.dgiwg.org/smXML"
`static String` | `SOS_PREFIX` The SOS prefix is currently assigned to: "sos"
`static URI` | `SOSNS` The SOSNS namespace is currently bound to: "http://www.opengis.net/sos"
`static String` | `W3SOAP_1_1_PREFIX` The W3SOAP_1_1 prefix is currently assigned to: "SOAP-ENV"
`static URI` | `W3SOAP_ENVELOPE` The W3SOAP_ENVELOPE namespace is currently bound to: "http://www.w3.org/2003/05/soap-envelope"
`static URI` | `W3SOAP_ENVELOPE_1_1` The W3SOAP_ENVELOPE_1_1namespace is currently bound to: http://schemas.xmlsoap.org/soap/envelope/
`static String` | `W3SOAP_ENVELOPE_PREFIX` The W3SOAP_ENVELOPE prefix is currently assigned to: "soap"
`static String` | `WCS_1_2_0_PREFIX` The WCS_1_2_0_PREFIX is currrently assigned to: "wcs_1_2_0"
`static String` | `WCS_PREFIX` The WCS prefix is currently assigned to: "wcs"
`static URI` | `WCSNS` The WCSNS namespace is currently bound to: "http://www.opengis.net/wcs"
`static URI` | `WCSNS_1_2_0` The WCSNS_1_2_0 namespace is currently bound to: "http://www.opengis.net/wcs/1.2"
`static String` | `WCTS_PREFIX` The WCTS_PREFIX is currrently assigned to: "wcts"
`static URI` | `WCTSNS` The WCTSNS namespace is currently bound to: "http://www.opengis.net/wcts/0.0"
`static String` | `WFS_PREFIX` The WFS prefix is currently assigned to: "wfs"
`static String` | `WFSG_PREFIX` The WFSG prefix is currently assigned to: "wfsg"
`static URI` | `WFSGNS` The WFSGNS namespace is currently bound to: "http://www.opengis.net/wfs-g"
`static URI` | `WFSNS` The WFSNS namespace is currently bound to: "http://www.opengis.net/wfs"
`static String` | `WMPS_PREFIX` The WMPS prefix is currently assigned to: "wmps"
`static URI` | `WMPSNS` The WMPSNS namespace is currently bound to: "http://www.opengis.net/wmps"
`static String` | `WMS_PREFIX` The WMS prefix is currently assigned to: "wms"
`static URI` | `WMSNS` The WMSNS namespace is currently bound to: "http://www.opengis.net/wms"
`static String` | `WPS_PREFIX` The WPS prefix is currently assigned to: "wps"
`static URI` | `WPSNS` The WPSNS namespace is currently bound to: "http://www.opengeospatial.net/wps"
`static String` | `WPVS_PREFIX` The WPVS prefix is currently assigned to: "wpvs"
`static URI` | `WPVSNS` The WPVSNS namespace is currently bound to: "http://www.opengis.net/wpvs"
`static String` | `WRS_EBRIM_PREFIX` The GDINRW_SESSION prefix is currently assigned to: "wrs"
`static URI` | `WRS_EBRIMNS` The WRS namespace is currently bound to: "http://www.opengis.net/cat/wrs"
`static String` | `WSSSESSION_PREFIX` The WSSSESSION prefix is currently assigned to: "wsssession"
`static URI` | `WSSSESSIONNS` The WSSSESSIONNS namespace is currently bound to: "http://www.gdi-nrw.org/session"
`static String` | `XLINK_PREFIX` The XLINK prefix is currently assigned to: "xlink"
`static URI` | `XLNNS` The XLNNS namespace is currently bound to: "http://www.w3.org/1999/xlink"
`static URI` | `XMLNS` The XMLNS namespace is currently bound to: "http://www.w3.org/2000/xmlns/"
`static String` | `XMLNS_PREFIX` The XMLNS prefix is currently assigned to: "xmlns"
`static String` | `XPLAN_PREFIX` The XPLAN_PREFIX is currrently assigned to: "xplan"
`static URI` | `XPLANNS` The XPLANNS namespace is currently bound to: "http://www.xplanung.de/xplangml"
`static String` | `XS_PREFIX` The XS prefix is currently assigned to: "xs"
`static String` | `XSI_PREFIX` The XSI prefix is currently assigned to: "xsi"
`static URI` | `XSINS` The XSINS namespace is currently bound to: "http://www.w3.org/2001/XMLSchema-instance"
`static String` | `XSL_PREFIX` The CTL prefix is currently assigned to: "xsl"
`static URI` | `XSLNS` The XSL namespace is currently bound to: "http://www.w3.org/1999/XSL/Transform".
`static URI` | `XSNS` The XSNS namespace is currently bound to: "http://www.w3.org/2001/XMLSchema"

Constructor Summary
`CommonNamespaces()`

Method Summary
`static URI` | `buildNSURI(String namespace)`
`static NamespaceContext` | `getNamespaceContext()` Returns the `NamespaceContext` for common namespaces known be deegree.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XMLNS

    public static final URI XMLNS

  The XMLNS namespace is currently bound to: "http://www.w3.org/2000/xmlns/"

### SMLNS

    public static final URI SMLNS

  The SMLNS namespace is currently bound to: "http://www.opengis.net/sensorML"

### SOSNS

    public static final URI SOSNS

  The SOSNS namespace is currently bound to: "http://www.opengis.net/sos"

### CSWNS

    public static final URI CSWNS

  The CSWNS namespace is currently bound to: "http://www.opengis.net/cat/csw"

### CSW202NS

    public static final URI CSW202NS

  The CSWNS 2.0.2 namespace is currently bound to: "http://www.opengis.net/cat/csw/2.0.2"

### GMLNS

    public static final URI GMLNS

  The GMLNS namespace is currently bound to: "http://www.opengis.net/gml"

### GML3_2_NS

    public static final URI GML3_2_NS

  The GML3_2_NS namespace is currently bound to: "http://www.opengis.net/gml/3.2"

### CITYGMLNS

    public static final URI CITYGMLNS

  The CITYGMLNS namespace is currently bound to: "http://www.citygml.org/citygml/1/0/0".

### WFSNS

    public static final URI WFSNS

  The WFSNS namespace is currently bound to: "http://www.opengis.net/wfs"

### WFSGNS

    public static final URI WFSGNS

  The WFSGNS namespace is currently bound to: "http://www.opengis.net/wfs-g"

### WCSNS

    public static final URI WCSNS

  The WCSNS namespace is currently bound to: "http://www.opengis.net/wcs"

### WMSNS

    public static final URI WMSNS

  The WMSNS namespace is currently bound to: "http://www.opengis.net/wms"

### WMPSNS

    public static final URI WMPSNS

  The WMPSNS namespace is currently bound to: "http://www.opengis.net/wmps"

### WPVSNS

    public static final URI WPVSNS

  The WPVSNS namespace is currently bound to: "http://www.opengis.net/wpvs"

### WPSNS

    public static final URI WPSNS

  The WPSNS namespace is currently bound to: "http://www.opengeospatial.net/wps"

### OGCNS

    public static final URI OGCNS

  The OGCNS namespace is currently bound to: "http://www.opengis.net/ogc"

### OWSNS

    public static final URI OWSNS

  The OWSNS namespace is currently bound to: "http://www.opengis.net/ows"

### SLDNS

    public static final URI SLDNS

  The SLDNS namespace is currently bound to: "http://www.opengis.net/sld"

### SENS

    public static final URI SENS

  The SENS namespace is currently bound to: "http://www.opengis.net/se"

### OMNS

    public static final URI OMNS

  The OMNS namespace is currently bound to: "http://www.opengis.net/om"

### XLNNS

    public static final URI XLNNS

  The XLNNS namespace is currently bound to: "http://www.w3.org/1999/xlink"

### CNTXTNS

    public static final URI CNTXTNS

  The CNTXTNS namespace is currently bound to: "http://www.opengis.net/context"

### DGCNTXTNS

    public static final URI DGCNTXTNS

  The DGCNTXTNS namespace is currently bound to: "http://www.deegree.org/context"

### DEEGREEWFS

    public static final URI DEEGREEWFS

  The DEEGREEWFS namespace is currently bound to: "http://www.deegree.org/wfs"

### DEEGREEWMS

    public static final URI DEEGREEWMS

  The DEEGREEWMS namespace is currently bound to: "http://www.deegree.org/wms"

### DEEGREEWCS

    public static final URI DEEGREEWCS

  The DEEGREEWCS namespace is currently bound to: "http://www.deegree.org/wcs"

### DEEGREECSW

    public static final URI DEEGREECSW

  The DEEGREECSW namespace is currently bound to: "http://www.deegree.org/csw"

### DEEGREESOS

    public static final URI DEEGREESOS

  The DEEGREESOS namespace is currently bound to: "http://www.deegree.org/sos"

### DEEGREEWAS

    public static final URI DEEGREEWAS

  The DEEGREEWAS namespace is currently bound to: "http://www.deegree.org/was"

### DEEGREEWSS

    public static final URI DEEGREEWSS

  The DEEGREEWSS namespace is currently bound to: "http://www.deegree.org/wss"

### DEEGREEWMPS

    public static final URI DEEGREEWMPS

  The DEEGREEWMPS namespace is currently bound to: "http://www.deegree.org/wmps"

### DEEGREEWPVS

    public static final URI DEEGREEWPVS

  The DEEGREEWPVS namespace is currently bound to: "http://www.deegree.org/wpvs"

### DEEGREEOGC

    public static final URI DEEGREEOGC

  The DEEGREEOGC namespace is currently bound to: "http://www.deegree.org/ogc"

### DEEGREEWPS

    public static final URI DEEGREEWPS

  The DEEGREEWPS namespace is currently bound to: "http://www.deegree.org/wps"

### DEEGREEWCTS

    public static final URI DEEGREEWCTS

  The DEEGREEWCTS namespace is currently bound to: "http://www.deegree.org/wcts"

### DGJDBC

    public static final URI DGJDBC

  The DGJDBC namespace is currently bound to: "http://www.deegree.org/jdbc"

### DGSECNS

    public static final URI DGSECNS

  The DGSECNS namespace is currently bound to: "http://www.deegree.org/security"

### ISO19112NS

    public static final URI ISO19112NS

  The ISO19112NS namespace is currently bound to: "http://www.opengis.net/iso19112"

### ISO19115NS

    public static final URI ISO19115NS

  The ISO19115NS namespace is currently bound to: "http://schemas.opengis.net/iso19115full"

### ISO19115BRIEFNS

    public static final URI ISO19115BRIEFNS

  The ISO19115BRIEFNS namespace is currently bound to: "http://schemas.opengis.net/iso19115brief"

### ISO19119NS

    public static final URI ISO19119NS

  The ISO19119NS namespace is currently bound to: "http://schemas.opengis.net/iso19119"

### DCNS

    public static final URI DCNS

  The DCNS namespace is currently bound to: "http://purl.org/dc/elements/1.1/"

### GDINRW_WSS

    public static final URI GDINRW_WSS

  The GDINRW_WSS namespace is currently bound to: "http://www.gdi-nrw.org/wss"

### GDINRW_WAS

    public static final URI GDINRW_WAS

  The GDINRW_WAS namespace is currently bound to: "http://www.gdi-nrw.org/was"

### WSSSESSIONNS

    public static final URI WSSSESSIONNS

  The WSSSESSIONNS namespace is currently bound to: "http://www.gdi-nrw.org/session"

### XSNS

    public static final URI XSNS

  The XSNS namespace is currently bound to: "http://www.w3.org/2001/XMLSchema"

### XSINS

    public static final URI XSINS

  The XSINS namespace is currently bound to: "http://www.w3.org/2001/XMLSchema-instance"

### SMXMLNS

    public static final URI SMXMLNS

  The SMXMLNS namespace is currently bound to: "http://metadata.dgiwg.org/smXML"

### CTLNS

    public static final URI CTLNS

  THE CTL namespace is currently bound to: "http://www.occamlab.com/ctl".

### XSLNS

    public static final URI XSLNS

  The XSL namespace is currently bound to: "http://www.w3.org/1999/XSL/Transform".

### PARSERSNS

    public static final URI PARSERSNS

  The PARSERS namespace is currently bound to: "http://www.occamlab.com/te/parsers".

### GDINRW_AUTH

    public static final URI GDINRW_AUTH

  The GDINRW_AUTH namespace is currently bound to: "http://www.gdi-nrw.org/authentication"

### GDINRW_SESSION

    public static final URI GDINRW_SESSION

  The GDINRW_SESSION namespace is currently bound to: "http://www.gdi-nrw.org/session"

### WRS_EBRIMNS

    public static final URI WRS_EBRIMNS

  The WRS namespace is currently bound to: "http://www.opengis.net/cat/wrs"

### OASIS_EBRIMNS

    public static final URI OASIS_EBRIMNS

  The OASIS namespace is currently bound to: "urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0"

### W3SOAP_ENVELOPE

    public static final URI W3SOAP_ENVELOPE

  The W3SOAP_ENVELOPE namespace is currently bound to: "http://www.w3.org/2003/05/soap-envelope"

### W3SOAP_ENVELOPE_1_1

    public static final URI W3SOAP_ENVELOPE_1_1

  The W3SOAP_ENVELOPE_1_1namespace is currently bound to: http://schemas.xmlsoap.org/soap/envelope/

### XPLANNS

    public static final URI XPLANNS

  The XPLANNS namespace is currently bound to: "http://www.xplanung.de/xplangml"

### ISOAP10GMDNS

    public static final URI ISOAP10GMDNS

  The ISOAP10GMDNS namespace is currently bound to: "http://www.isotc211.org/2005/gmd"

### ISOAP10SRVNS

    public static final URI ISOAP10SRVNS

  The ISOAP10SRVNS namespace is currently bound to: "http://www.isotc211.org/2005/srv"

### CRSNS

    public static final URI CRSNS

  The CRSNS namespace --used for the crs package-- is currently bound to: "http://www.deegree.org/crs"

### ISOAP10GCONS

    public static final URI ISOAP10GCONS

  The ISOAP10GCONS namespace is currently bound to: "http://www.isotc211.org/2005/gco"

### OWSNS_1_1_0

    public static final URI OWSNS_1_1_0

  The OWSNS_1_1_0 namespace is currently bound to: "http://www.opengis.net/ows/1.1"

### WCTSNS

    public static final URI WCTSNS

  The WCTSNS namespace is currently bound to: "http://www.opengis.net/wcts/0.0"

### WCSNS_1_2_0

    public static final URI WCSNS_1_2_0

  The WCSNS_1_2_0 namespace is currently bound to: "http://www.opengis.net/wcs/1.2"

### APISO

    public static final URI APISO

  The APISO namespace is currently bound to: "http://www.opengis.net/cat/csw/apiso/1.0"

### SML_PREFIX

    public static final String SML_PREFIX

  The SML prefix is currently assigned to: "sml"

  See Also:
    Constant Field Values

### SOS_PREFIX

    public static final String SOS_PREFIX

  The SOS prefix is currently assigned to: "sos"

  See Also:
    Constant Field Values

### CSW_PREFIX

    public static final String CSW_PREFIX

  The CSW prefix is currently assigned to: "csw"

  See Also:
    Constant Field Values

### CSW202_PREFIX

    public static final String CSW202_PREFIX

  The CSW 2.0.2 prefix is currently assigned to: "csw202"

  See Also:
    Constant Field Values

### GML_PREFIX

    public static final String GML_PREFIX

  The GML prefix is currently assigned to: "gml"

  See Also:
    Constant Field Values

### GML3_2_PREFIX

    public static final String GML3_2_PREFIX

  The GML3_2 prefix is currently assigned to: "gml3_2"

  See Also:
    Constant Field Values

### CITYGML_PREFIX

    public static final String CITYGML_PREFIX

  The CITYGML prefix is currently assigned to: "citygml".

  See Also:
    Constant Field Values

### WFS_PREFIX

    public static final String WFS_PREFIX

  The WFS prefix is currently assigned to: "wfs"

  See Also:
    Constant Field Values

### WFSG_PREFIX

    public static final String WFSG_PREFIX

  The WFSG prefix is currently assigned to: "wfsg"

  See Also:
    Constant Field Values

### WCS_PREFIX

    public static final String WCS_PREFIX

  The WCS prefix is currently assigned to: "wcs"

  See Also:
    Constant Field Values

### WMS_PREFIX

    public static final String WMS_PREFIX

  The WMS prefix is currently assigned to: "wms"

  See Also:
    Constant Field Values

### WPVS_PREFIX

    public static final String WPVS_PREFIX

  The WPVS prefix is currently assigned to: "wpvs"

  See Also:
    Constant Field Values

### WMPS_PREFIX

    public static final String WMPS_PREFIX

  The WMPS prefix is currently assigned to: "wmps"

  See Also:
    Constant Field Values

### WPS_PREFIX

    public static final String WPS_PREFIX

  The WPS prefix is currently assigned to: "wps"

  See Also:
    Constant Field Values

### OGC_PREFIX

    public static final String OGC_PREFIX

  The OGC prefix is currently assigned to: "ogc"

  See Also:
    Constant Field Values

### OWS_PREFIX

    public static final String OWS_PREFIX

  The OWS prefix is currently assigned to: "ows"

  See Also:
    Constant Field Values

### SLD_PREFIX

    public static final String SLD_PREFIX

  The SLD prefix is currently assigned to: "sld"

  See Also:
    Constant Field Values

### SE_PREFIX

    public static final String SE_PREFIX

  The SE prefix is currently assigned to: "se".

  See Also:
    Constant Field Values

### XLINK_PREFIX

    public static final String XLINK_PREFIX

  The XLINK prefix is currently assigned to: "xlink"

  See Also:
    Constant Field Values

### XMLNS_PREFIX

    public static final String XMLNS_PREFIX

  The XMLNS prefix is currently assigned to: "xmlns"

  See Also:
    Constant Field Values

### XS_PREFIX

    public static final String XS_PREFIX

  The XS prefix is currently assigned to: "xs"

  See Also:
    Constant Field Values

### XSI_PREFIX

    public static final String XSI_PREFIX

  The XSI prefix is currently assigned to: "xsi"

  See Also:
    Constant Field Values

### CNTXT_PREFIX

    public static final String CNTXT_PREFIX

  The CNTXT prefix is currently assigned to: "cntxt"

  See Also:
    Constant Field Values

### DGCNTXT_PREFIX

    public static final String DGCNTXT_PREFIX

  The DGCNTXT prefix is currently assigned to: "dgcntxt"

  See Also:
    Constant Field Values

### DEEGREEWFS_PREFIX

    public static final String DEEGREEWFS_PREFIX

  The DEEGREEWFS prefix is currently assigned to: "deegreewfs"

  See Also:
    Constant Field Values

### DEEGREEWMS_PREFIX

    public static final String DEEGREEWMS_PREFIX

  The DEEGREEWMS prefix is currently assigned to: "deegreewms"

  See Also:
    Constant Field Values

### DEEGREEWCS_PREFIX

    public static final String DEEGREEWCS_PREFIX

  The DEEGREEWCS prefix is currently assigned to: "deegreewcs"

  See Also:
    Constant Field Values

### DEEGREECSW_PREFIX

    public static final String DEEGREECSW_PREFIX

  The DEEGREECSW prefix is currently assigned to: "deegreecsw"

  See Also:
    Constant Field Values

### DEEGREESOS_PREFIX

    public static final String DEEGREESOS_PREFIX

  The DEEGREESOS prefix is currently assigned to: "deegreesos"

  See Also:
    Constant Field Values

### DEEGREEWAS_PREFIX

    public static final String DEEGREEWAS_PREFIX

  The DEEGREEWAS prefix is currently assigned to: "deegreewas"

  See Also:
    Constant Field Values

### DEEGREEWSS_PREFIX

    public static final String DEEGREEWSS_PREFIX

  The DEEGREEWSS prefix is currently assigned to: "deegreewss"

  See Also:
    Constant Field Values

### DEEGREEWMPS_PREFIX

    public static final String DEEGREEWMPS_PREFIX

  The DEEGREEWMPS prefix is currently assigned to: "deegreewmps"

  See Also:
    Constant Field Values

### DEEGREEWPS_PREFIX

    public static final String DEEGREEWPS_PREFIX

  The DEEGREEWPS prefix is currently assigned to: "deegreewps"

  See Also:
    Constant Field Values

### DEEGREEWPVS_PREFIX

    public static final String DEEGREEWPVS_PREFIX

  The DEEGREEWPVS prefix is currently assigned to: "deegreewpvs"

  See Also:
    Constant Field Values

### DEEGREEOGC_PREFIX

    public static final String DEEGREEOGC_PREFIX

  The DEEGREEOGC prefix is currently assigned to: "deegreeogc"

  See Also:
    Constant Field Values

### DEEGREEWCTS_PREFIX

    public static final String DEEGREEWCTS_PREFIX

  The DEEGREEWCTS_PREFIX prefix is currently assigned to: "d_wcts"

  See Also:
    Constant Field Values

### DGJDBC_PREFIX

    public static final String DGJDBC_PREFIX

  The DGJDBC prefix is currently assigned to: "dgjdbc"

  See Also:
    Constant Field Values

### DGSEC_PREFIX

    public static final String DGSEC_PREFIX

  The DGSEC prefix is currently assigned to: "dgsec"

  See Also:
    Constant Field Values

### ISO19112_PREFIX

    public static final String ISO19112_PREFIX

  The ISO19112 prefix is currently assigned to: "iso19112"

  See Also:
    Constant Field Values

### ISO19115_PREFIX

    public static final String ISO19115_PREFIX

  The ISO19115 prefix is currently assigned to: "iso19115"

  See Also:
    Constant Field Values

### ISO19115BRIEF_PREFIX

    public static final String ISO19115BRIEF_PREFIX

  The ISO19115BRIEF prefix is currently assigned to: "iso19115brief"

  See Also:
    Constant Field Values

### ISO19119_PREFIX

    public static final String ISO19119_PREFIX

  The ISO19119 prefix is currently assigned to: "iso19119"

  See Also:
    Constant Field Values

### DC_PREFIX

    public static final String DC_PREFIX

  The DC prefix is currently assigned to: "dc"

  See Also:
    Constant Field Values

### GDINRWWSS_PREFIX

    public static final String GDINRWWSS_PREFIX

  The GDINRWWSS prefix is currently assigned to: "wss"

  See Also:
    Constant Field Values

### GDINRWWAS_PREFIX

    public static final String GDINRWWAS_PREFIX

  The GDINRWWAS prefix is currently assigned to: "was"

  See Also:
    Constant Field Values

### WSSSESSION_PREFIX

    public static final String WSSSESSION_PREFIX

  The WSSSESSION prefix is currently assigned to: "wsssession"

  See Also:
    Constant Field Values

### OMNS_PREFIX

    public static final String OMNS_PREFIX

  The OMNS prefix is currently assigned to: "om"

  See Also:
    Constant Field Values

### SMXML_PREFIX

    public static final String SMXML_PREFIX

  The SMXML prefix is currently assigned to: "smXML"

  See Also:
    Constant Field Values

### CTL_PREFIX

    public static final String CTL_PREFIX

  The CTL prefix is currently assigned to: "ctl"

  See Also:
    Constant Field Values

### XSL_PREFIX

    public static final String XSL_PREFIX

  The CTL prefix is currently assigned to: "xsl"

  See Also:
    Constant Field Values

### PARSERS_PREFIX

    public static final String PARSERS_PREFIX

  The CTL prefix is currently assigned to: "parsers"

  See Also:
    Constant Field Values

### GDINRW_AUTH_PREFIX

    public static final String GDINRW_AUTH_PREFIX

  The GDINRW_AUTH prefix is currently assigned to: "authn"

  See Also:
    Constant Field Values

### GDINRW_SESSION_PREFIX

    public static final String GDINRW_SESSION_PREFIX

  The GDINRW_SESSION prefix is currently assigned to: "sessn"

  See Also:
    Constant Field Values

### WRS_EBRIM_PREFIX

    public static final String WRS_EBRIM_PREFIX

  The GDINRW_SESSION prefix is currently assigned to: "wrs"

  See Also:
    Constant Field Values

### OASIS_EBRIM_PREFIX

    public static final String OASIS_EBRIM_PREFIX

  The OASIS_EBRIM prefix is currently assigned to: "rim"

  See Also:
    Constant Field Values

### W3SOAP_ENVELOPE_PREFIX

    public static final String W3SOAP_ENVELOPE_PREFIX

  The W3SOAP_ENVELOPE prefix is currently assigned to: "soap"

  See Also:
    Constant Field Values

### W3SOAP_1_1_PREFIX

    public static final String W3SOAP_1_1_PREFIX

  The W3SOAP_1_1 prefix is currently assigned to: "SOAP-ENV"

  See Also:
    Constant Field Values

### XPLAN_PREFIX

    public static final String XPLAN_PREFIX

  The XPLAN_PREFIX is currrently assigned to: "xplan"

  See Also:
    Constant Field Values

### ISOAP10GMD_PREFIX

    public static final String ISOAP10GMD_PREFIX

  The ISOAP10GMD_PREFIX is currrently assigned to: "gmd"

  See Also:
    Constant Field Values

### ISOAP10SRV_PREFIX

    public static final String ISOAP10SRV_PREFIX

  The ISOAP10SRV_PREFIX is currrently assigned to: "srv"

  See Also:
    Constant Field Values

### ISOAP10GCO_PREFIX

    public static final String ISOAP10GCO_PREFIX

  The ISOAP10GCO_PREFIX is currrently assigned to: "gco"

  See Also:
    Constant Field Values

### CRS_PREFIX

    public static final String CRS_PREFIX

  The CRS_PREFIX is currrently assigned to: "crs"

  See Also:
    Constant Field Values

### OWS_1_1_0PREFIX

    public static final String OWS_1_1_0PREFIX

  The OWS_1_1_0PREFIX is currrently assigned to: "ows_1_1_0"

  See Also:
    Constant Field Values

### WCTS_PREFIX

    public static final String WCTS_PREFIX

  The WCTS_PREFIX is currrently assigned to: "wcts"

  See Also:
    Constant Field Values

### WCS_1_2_0_PREFIX

    public static final String WCS_1_2_0_PREFIX

  The WCS_1_2_0_PREFIX is currrently assigned to: "wcs_1_2_0"

  See Also:
    Constant Field Values

### APISO_PREFIX

    public static final String APISO_PREFIX

  The APISO_PREFIX is currrently assigned to: "apiso"

  See Also:
    Constant Field Values

Constructor Detail

### CommonNamespaces

    public CommonNamespaces()

Method Detail

### buildNSURI

    public static URI buildNSURI(String namespace)

  Parameters:
    `namespace` -
  Returns:
    Returns the uri for the passed namespace.

### getNamespaceContext

    public static NamespaceContext getNamespaceContext()

  Returns the `NamespaceContext` for common namespaces known be deegree.

  Returns:
    the NamespaceContext for all common namespaces

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org